"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunnerSelfService = void 0;
const request_1 = require("../core/request");
class RunnerSelfService {
    /**
     * Get
     * Lists all information about yourself. <br> Please provide your runner jwt(that code we gave you during registration) for auth. <br> If you lost your jwt/personalized link please contact support.
     * @param jwt
     * @returns ResponseSelfServiceRunner
     * @throws ApiError
     */
    static async runnerSelfServiceControllerGet(jwt) {
        const result = await request_1.request({
            method: 'GET',
            path: `/api/runners/me/${jwt}`,
        });
        return result.body;
    }
}
exports.RunnerSelfService = RunnerSelfService;
